WaterLine waterLine = new WaterLine();
ArrayList<Drop> drops_to_remove = new ArrayList<Drop>();
class WaterLine{
  
  float h_factor = 0.0001;
  float h = 0; // 0~1
  float h_max_height = 0.2;
  void Draw(){
    DropToWaterLine();
    DrawWaterLine();
  }
  void DropToWaterLine()
  {
    drops_to_remove.clear();
    for(int i=0; i<drops.size(); i++){
      Drop drop = drops.get(i);
      if(drop.y >= height*(1-h*h_max_height)){
        drops_to_remove.add(drops.get(i));
      }
    }
    for(int i=0; i<drops_to_remove.size(); i++){
      drops.remove(drops_to_remove.get(i));
      h = min(h+h_factor, 1);
    }
  }
  void DrawWaterLine()  
  {
    //water line
    colorMode(HSB, 100);
    fill(60, 80, 100, 50);
    colorMode(RGB);
    rectMode(CORNERS);
    rect(0, height*(1-h*h_max_height) * 0.98, width, height * 0.98); 
  }
}