ArrayList<Drop> drops = new ArrayList<Drop>();
PImage imgDrop = null;
class Drop{
  float x, y;
  float v_x, v_y;
  
  color col;
  
  Drop(float _x, float _y, color _col){
    x=_x; y=_y; col=_col;
    v_x = random(-80,80);
    v_y = random(-80,80);
  }
  
  void Draw()
  {
    Accel();
    Move();
    
    DrawDrop();
  }
  void DrawDrop()
  {
    noStroke();
    pushMatrix();
    translate(x, y);
    float angle = v_y==0? (v_x>=0? -90 : 90) : -atan(v_x/v_y);
    rotate(angle);
    translate(-x,-y);
    //tint(255,255,255, 30);
    //imageMode(CENTER);
    //image(imgDrop, x, y, width*0.01, width*0.01);
    //imageMode(CORNER);
    //tint(255,255,255);
    
    fill(col, 40);
    ellipseMode(CENTER);
    ellipse(x,y,width*0.01, width*0.01);
    popMatrix();
  }
  
  void Accel()
  {
    float g = 400;
    v_y += g * timer.deltaTime();
  }
  void Move()
  {
    x += v_x * timer.deltaTime();
    y += v_y * timer.deltaTime();
  }
}